Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class AbstractMarshaller

    java.lang.Object
      org.jboss.xml.binding.AbstractMarshaller

All Implemented Interfaces:
  Marshaller

Direct Known Subclasses:
  DtdMarshaller, XercesXsMarshaller, XsMarshaller

public abstract class AbstractMarshaller
extends Object
implements Marshaller

Version:
  `$Revision: 1.7.2.1 $`
Author:
  Alexey Loubyansky

Nested Class Summary
`protected class` | `AbstractMarshaller.ClassMapping`
`protected static class` | `AbstractMarshaller.QName`
`protected static interface` | `AbstractMarshaller.Stack`
`protected static class` | `AbstractMarshaller.StackImpl`

Nested classes inherited from class org.jboss.xml.binding.Marshaller
`Marshaller.FACTORY`

Field Summary
`protected String` | `encoding`
`protected List` | `rootQNames`
`protected String` | `version`

Fields inherited from interface org.jboss.xml.binding.Marshaller
`ENCODING, PROP_MARSHALLER, PROP_OUTPUT_INDENTATION, PROP_OUTPUT_XML_VERSION, VERSION`

Constructor Summary
`AbstractMarshaller()`

Method Summary
`void` | `addRootElement(String namespaceUri, String prefix, String name)`
`protected AbstractMarshaller.ClassMapping` | `getClassMapping(Class cls)`
`String` | `getProperty(String name)`
`void` | `mapClassToNamespace(Class cls, String root, String namespaceUri, Reader schemaReader, ObjectModelProvider provider)`
`void` | `mapClassToNamespace(Class cls, String root, String namespaceUri, String schemaUrl, ObjectModelProvider provider)`
`void` | `mapPublicIdToSystemId(String publicId, String systemId)`
`void` | `marshal(String schemaUri, ObjectModelProvider provider, Object root, Writer writer)`
`protected boolean` | `propertyIsTrueOrNotSet(String name)`
`void` | `setEncoding(String encoding)`
`void` | `setProperty(String name, String value)`
`void` | `setVersion(String version)`
`protected void` | `writeXmlVersion(Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.xml.binding.Marshaller
`marshal`

Field Detail

### version

    protected String version

### encoding

    protected String encoding

### rootQNames

    protected List rootQNames

Constructor Detail

### AbstractMarshaller

    public AbstractMarshaller()

Method Detail

### marshal

    public void marshal(String schemaUri,
                        ObjectModelProvider provider,
                        Object root,
                        Writer writer)
                 throws IOException,
                        ParserConfigurationException,
                        SAXException

  Specified by:
    `marshal` in interface `Marshaller`
  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### mapClassToNamespace

    public void mapClassToNamespace(Class cls,
                                    String root,
                                    String namespaceUri,
                                    Reader schemaReader,
                                    ObjectModelProvider provider)

  Specified by:
    `mapClassToNamespace` in interface `Marshaller`

### mapClassToNamespace

    public void mapClassToNamespace(Class cls,
                                    String root,
                                    String namespaceUri,
                                    String schemaUrl,
                                    ObjectModelProvider provider)

  Specified by:
    `mapClassToNamespace` in interface `Marshaller`

### setVersion

    public void setVersion(String version)

  Specified by:
    `setVersion` in interface `Marshaller`

### setEncoding

    public void setEncoding(String encoding)

  Specified by:
    `setEncoding` in interface `Marshaller`

### mapPublicIdToSystemId

    public void mapPublicIdToSystemId(String publicId,
                                      String systemId)

  Specified by:
    `mapPublicIdToSystemId` in interface `Marshaller`

### addRootElement

    public void addRootElement(String namespaceUri,
                               String prefix,
                               String name)

  Specified by:
    `addRootElement` in interface `Marshaller`

### setProperty

    public void setProperty(String name,
                            String value)

  Specified by:
    `setProperty` in interface `Marshaller`

### getProperty

    public String getProperty(String name)

  Specified by:
    `getProperty` in interface `Marshaller`

### propertyIsTrueOrNotSet

    protected boolean propertyIsTrueOrNotSet(String name)

### writeXmlVersion

    protected void writeXmlVersion(Writer writer)
                            throws IOException

  Throws:
    `IOException`

### getClassMapping

    protected AbstractMarshaller.ClassMapping getClassMapping(Class cls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.